from os import path,rename

from BitMover_ui import MainWindow
from _file_stuff import create_folder, path_exists, cmp_files
from _hashing import xx_hash

class MediaImporter(MainWindow):
    def __init__(self,*args,**kwargs):
        super(MediaImporter,self).__init__(*args,**kwargs)
        self.chunk_size         = 16 * 1024
        self.path_file_source               = None
        self.path_file_destination               = None
        self.destination_original_path = None
        self.path_file_destination_original              = None
        self.path_file_destination = None

